# ViewStatisticsLogisticRegressionInput (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.utility

## Class ViewStatisticsLogisticRegressionInput

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewStatistics<AnalysisContextClassification>
  - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsLogisticRegression
    - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsLogisticRegressionInput

- All Implemented Interfaces:
    IView

      public class ViewStatisticsLogisticRegressionInput
      extends ViewStatisticsLogisticRegression

  This view displays a statistics about the performance of logistic regression classifiers

- - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

      `MINIMAL_WORKING_TIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewStatisticsLogisticRegressionInput(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String[]` | `getColumnHeaders()` Returns all column headers
    `protected java.util.List<java.lang.Double>` | `getColumnValues(StatisticsClassification result)` Returns all values for one row

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsLogisticRegression

      `createControl, createViewConfig, doReset, doUpdate, getProgressProvider, getType, isRunning, update`

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

      `dispose, getController, getModel, getParent, getTarget, isEnabled, reset, setStatusDone, setStatusEmpty, setStatusWorking, triggerUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewStatisticsLogisticRegressionInput

          public ViewStatisticsLogisticRegressionInput(org.eclipse.swt.widgets.Composite parent,
                                               Controller controller)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -

  - ### Method Detail

    - #### getColumnHeaders

          protected java.lang.String[] getColumnHeaders()

      Description copied from class: `ViewStatisticsLogisticRegression`
      Returns all column headers
      Specified by:
        `getColumnHeaders` in class `ViewStatisticsLogisticRegression`
      Returns:

    - #### getColumnValues

          protected java.util.List<java.lang.Double> getColumnValues(StatisticsClassification result)

      Description copied from class: `ViewStatisticsLogisticRegression`
      Returns all values for one row
      Specified by:
        `getColumnValues` in class `ViewStatisticsLogisticRegression`
      Returns: